<?php declare(strict_types=1);

namespace Drupal\entity_usage_updater;

use Drupal\Component\Plugin\PluginBase;

/**
 * Provides a base class for entity usage updater plugins.
 */
abstract class EntityUsageUpdaterPluginBase extends PluginBase implements EntityUsageUpdaterPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function label() {
    // Cast the label to a string since it is a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

}
